summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2018-07-09 20:02:34 +0200
committerJames Le Cuirot <chewi@gentoo.org>2018-07-09 20:30:29 +0100
commit4b302e8843d71ed41f81feae717b739cc7f07990 (patch)
treee1ea4f030a76e70e591e82f17e68b038291b7d91 /net-misc/ipmiview/files
parentnet-im/telegram-desktop-bin: clean up old. (diff)
downloadgentoo-4b302e8843d71ed41f81feae717b739cc7f07990.tar.gz
gentoo-4b302e8843d71ed41f81feae717b739cc7f07990.tar.bz2
gentoo-4b302e8843d71ed41f81feae717b739cc7f07990.zip
net-misc/ipmiview: New package
Closes: https://bugs.gentoo.org/601406 Package-Manager: Portage-2.3.41, Repoman-2.3.9 Closes: https://github.com/gentoo/gentoo/pull/9109
Diffstat (limited to 'net-misc/ipmiview/files')
-rw-r--r--net-misc/ipmiview/files/fake-java.bash24
-rw-r--r--net-misc/ipmiview/files/launcher-pre.bash3
2 files changed, 27 insertions, 0 deletions
diff --git a/net-misc/ipmiview/files/fake-java.bash b/net-misc/ipmiview/files/fake-java.bash
new file mode 100644
index 000000000000..7d4fbfe32a0b
--- /dev/null
+++ b/net-misc/ipmiview/files/fake-java.bash
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+for ARG in "${@}"; do
+ case ${ARG} in
+ -jar)
+ EXE=${2}
+ shift 2
+ break
+ ;;
+ *)
+ shift
+ ;;
+ esac
+done
+
+if [[ ${EXE} != *.jar ]]; then
+ echo "error: could not find jar argument in java invocation" >&2
+ exit 1
+fi
+
+EXE=${EXE%.jar}
+EXE=${EXE,,}
+
+exec "${EXE}" "${@}"
diff --git a/net-misc/ipmiview/files/launcher-pre.bash b/net-misc/ipmiview/files/launcher-pre.bash
new file mode 100644
index 000000000000..11b3e52008d5
--- /dev/null
+++ b/net-misc/ipmiview/files/launcher-pre.bash
@@ -0,0 +1,3 @@
+gjl_pwd=${XDG_CONFIG_HOME:-${HOME}/.config}/ipmiview
+mkdir -p "${gjl_pwd}" || exit $?
+ln -snf /usr/share/ipmiview/jre "${gjl_pwd}"/ || exit $?